<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ltgk.boat.mapper.DsBoatDeviceMapper">

    <resultMap type="com.ltgk.boat.domain.entity.DsBoatDevice" id="DsBoatDeviceMap">
        <result property="id" column="id"/>
        <result property="boatId" column="boat_id"/>
        <result property="boatName" column="boat_name"/>
        <result property="typeId" column="type_id"/>
        <result property="deviceType" column="device_type"/>
        <result property="mmsi" column="mmsi"/>
        <result property="code" column="code"/>
        <result property="type" column="type"/>
        <result property="cmdSign" column="cmd_sign"/>
        <result property="createAt" column="create_at"/>
        <result property="createBy" column="create_by"/>
        <result property="updateAt" column="update_at"/>
        <result property="updateBy" column="update_by"/>
        <result property="delFlag" column="del_flag"/>
        <result property="remarks" column="remarks"/>
    </resultMap>
</mapper>

